Tenant:
  description: Account Tenant
  properties:
    AccountID:
      description: The Account that owns this Tenant
      type: string
      x-nullable: true
    Active:
      description: Is this Tenant currently active?
      type: boolean
      x-nullable: true
    CreatedByID:
      description: Created By
      type: string
      x-nullable: true
    CreatedDate:
      description: Created Date
      type: string
      x-nullable: true
    Databases:
      items:
        $ref: "./database.yaml#/Database"
      type: array
      x-nullable: true
    ID:
      description: Record Id
      type: string
    LastModifiedByID:
      description: Last Modified By
      type: string
      x-nullable: true
    LastModifiedDate:
      description: Last Modifed Date
      type: string
      x-nullable: true
    Roles:
      items:
        $ref: "./role.yaml#/Role"
      type: array
      x-nullable: true
    Status:
      description: The current status of this Tenant
      type: string
      x-nullable: true
    TenantName:
      description: Name of the Tenant Resource
      type: string
      x-nullable: true
    TenantUsers:
      items:
        $ref: "./tenant-user.yaml#/TenantUser"
      type: array
      x-nullable: true
    Type:
      description: The type of Tenant
      type: string
      x-nullable: true
    Version:
      description: The version number of the Tenant Onboarding system used to create this tenant
      type: string
      x-nullable: true
  type: object
